Skip to main content
POST
/
cloud
/
v3
/
inference
/
{project_id}
/
secrets
Create inference secret
curl --request POST \
  --url https://api.gcore.com/cloud/v3/inference/{project_id}/secrets \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "aws_access_key_id": "fake-key-id",
    "aws_secret_access_key": "fake-secret"
  },
  "name": "aws-dev",
  "type": "aws-iam"
}
'
{
  "data": {
    "aws_access_key_id": "fake-key-id",
    "aws_secret_access_key": "fake-secret"
  },
  "name": "aws-dev",
  "type": "aws-iam"
}

Documentation Index

Fetch the complete documentation index at: https://gcore.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

Body

application/json
data
AwsIamData · object
required

Secret data.

Example:
{
"aws_access_key_id": "fake-key-id",
"aws_secret_access_key": "fake-secret"
}
name
string
required

Secret name.

Minimum string length: 4
Pattern: ^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$
Example:

"aws-dev"

type
string
required

Secret type. Currently only aws-iam is supported.

Pattern: ^aws-iam$
Example:

"aws-iam"

Response

200 - application/json

OK

data
AwsIamData · object
required

Secret data.

Example:
{
"aws_access_key_id": "fake-key-id",
"aws_secret_access_key": "fake-secret"
}
name
string
required

Secret name.

Minimum string length: 4
Example:

"aws-dev"

type
string
required

Secret type.

Example:

"aws-iam"